Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Groovydoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.javadoc.Groovydoc

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

    public class Groovydoc

extends org.gradle.api.internal.ConventionTask

This task generates html api doc for Groovy classes. It uses Groovy's Groovydoc tool for this. Please note that the Groovydoc tool has some severe limitations at the moment (for example no doc for properties comments). The version of the Groovydoc that is used, is the one from the Groovy defined in the build script. Please note also, that the Groovydoc tool prints to System.out for many of its statements and does circumvents our logging currently.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Groovydoc(Project project, java.lang.String name)`

Method Summary
`org.gradle.api.tasks.javadoc.AntGroovydoc` | `getAntGroovydoc()`
`java.io.File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`FileCollection` | `getGroovyClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`java.util.List<java.io.File>` | `getSrcDirs()` Returns the source directories containing the groovy source files to generate documentation for.
`void` | `setAntGroovydoc(org.gradle.api.tasks.javadoc.AntGroovydoc antGroovydoc)`
`void` | `setDestinationDir(java.io.File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setGroovyClasspath(FileCollection groovyClasspath)` Sets the classpath to use to locate classes referenced by the documented source.
`void` | `setSrcDirs(java.util.List<java.io.File> srcDirs)` Sets the source directories containing the groovy source files to generate documentation for.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Constructor Detail

### Groovydoc

    public Groovydoc(Project project,
                     java.lang.String name)

Method Detail

### getSrcDirs

    public java.util.List<java.io.File> getSrcDirs()

  Returns the source directories containing the groovy source files to generate documentation for.

  Returns:
    The source directories. Never returns null.

### setSrcDirs

    public void setSrcDirs(java.util.List<java.io.File> srcDirs)

  Sets the source directories containing the groovy source files to generate documentation for.

### getDestinationDir

    public java.io.File getDestinationDir()

  Returns the directory to generate the documentation into.

  Returns:
    The directory.

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

  Sets the directory to generate the documentation into.

### getGroovyClasspath

    public FileCollection getGroovyClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

  Sets the classpath to use to locate classes referenced by the documented source.

### getAntGroovydoc

    public org.gradle.api.tasks.javadoc.AntGroovydoc getAntGroovydoc()

### setAntGroovydoc

    public void setAntGroovydoc(org.gradle.api.tasks.javadoc.AntGroovydoc antGroovydoc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD